Package org.silverpeas.components.projectmanager.model

# Class TaskResourceDetail

java.lang.Object
org.silverpeas.components.projectmanager.model.TaskResourceDetail

All Implemented Interfaces:
  `Serializable`

public class TaskResourceDetail extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskResourceDetail()`
  `TaskResourceDetail(int id, int taskId, String userId, int charge, String instanceId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCharge()`
  `int`
  `getId()`
  `String`
  `getInstanceId()`
  `int`
  `getOccupation()`
  `int`
  `getTaskId()`
  `String`
  `getUserId()`
  `String`
  `getUserName()`
  `final void`
  `setCharge(int f)`
  `void`
  `setCharge(String f)`
  `final void`
  `setId(int id)`
  `final void`
  `setInstanceId(String string)`
  `void`
  `setOccupation(int f)`
  `void`
  `setOccupation(String f)`
  `final void`
  `setTaskId(int i)`
  `final void`
  `setUserId(String i)`
  `void`
  `setUserName(String s)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TaskResourceDetail

    public TaskResourceDetail()

  - ### TaskResourceDetail

    public TaskResourceDetail(int id, int taskId, String userId, int charge, String instanceId)

- ## Method Details

  - ### setId

    public final void setId(int id)

  - ### getId

    public int getId()

  - ### getCharge

    public int getCharge()

  - ### getInstanceId

    public String getInstanceId()

  - ### getTaskId

    public int getTaskId()

  - ### getUserId

    public String getUserId()

  - ### getUserName

    public String getUserName()

  - ### getOccupation

    public int getOccupation()

  - ### setCharge

    public final void setCharge(int f)

  - ### setCharge

    public void setCharge(String f)

  - ### setOccupation

    public void setOccupation(int f)

  - ### setOccupation

    public void setOccupation(String f)

  - ### setTaskId

    public final void setTaskId(int i)

  - ### setUserId

    public final void setUserId(String i)

  - ### setInstanceId

    public final void setInstanceId(String string)

  - ### setUserName

    public void setUserName(String s)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`